aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2015-04-22 14:11:16 +0000
committerGravatar Laszlo Csomor <laszlocsomor@google.com>2015-04-23 09:09:56 +0000
commit5acec4c9115df63a0aee582c6796ebc0f2e71bd7 (patch)
treee62b7d697d8fcb2e8fac1253f852f6d2f1cc801b /src/test
parentdc30c07cc597104fccef63b9fee1948a2324fc5e (diff)
Only check visibility when the rule class has the attribute
Fixes #150. -- MOS_MIGRATED_REVID=91785592
Diffstat (limited to 'src/test')
-rwxr-xr-xsrc/test/shell/bazel/local_repository_test.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/test/shell/bazel/local_repository_test.sh b/src/test/shell/bazel/local_repository_test.sh
index e891487f83..166e202570 100755
--- a/src/test/shell/bazel/local_repository_test.sh
+++ b/src/test/shell/bazel/local_repository_test.sh
@@ -421,4 +421,18 @@ EOF
expect_log "My number is 3"
}
+function test_external_query() {
+ local external_dir=$TEST_TMPDIR/x
+ mkdir -p $external_dir
+ touch $external_dir/WORKSPACE
+ cat > WORKSPACE <<EOF
+local_repository(
+ name = "my-repo",
+ path = "$external_dir",
+)
+EOF
+ bazel query 'deps(//external:*)' >& $TEST_log || fail "query failed"
+ expect_log "//external:my-repo"
+}
+
run_suite "local repository tests"